CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Email Class Reference

Electronic mail message. More...

## Public Member Functions
| __construct ()
| Object constructor.

## Sending
| Send ()
| Mail the message.

## Message Attributes
| Body ($NewValue=NULL)
| Get/set message body.
| AlternateBody ($NewValue=NULL)
| Get/set the plain-text alternative to the body.
| Subject ($NewValue=NULL)
| Get/set message subject.
| From ($NewAddress=NULL, $NewName=NULL)
| Get/set message sender.
| ReplyTo ($NewAddress=NULL, $NewName=NULL)
| Get/set message "Reply-To" address.
| To ($NewValue=NULL)
| Get/set message recipient(s).
| CC ($NewValue=NULL)
| Get/set message CC list.
| BCC ($NewValue=NULL)
| Get/set message BCC list.
| AddHeaders ($NewHeaders)
| Specify additional message headers to be included.
| CharSet ($NewValue=NULL)
| Specify a character encoding for the message.
static | LineEnding ($NewValue=NULL)
| Specify the character sequence that should be used to end lines.
static | WrapHtmlAsNecessary ($Html, $MaxLineLength=998, $LineEnding="\r\n")
| Wrap HTML in an e-mail as necessary to get its lines less than some max length.
static | TestLineEndings ($Value, $LineEnding)
| Test the line endings in a value to see if they all match the given line ending.

## Mail Delivery Method
const | METHOD_PHPMAIL = 1
const | METHOD_SMTP = 2
static | DeliveryMethod ($NewValue=NULL)
| Get/set mail delivery method.
static | Server ($NewValue=NULL)
| Get/set server for mail delivery.
static | Port ($NewValue=NULL)
| Get/set port number for mail delivery.
static | UserName ($NewValue=NULL)
| Get/set user name for mail delivery.
static | Password ($NewValue=NULL)
| Get/set password for mail delivery.
static | UseAuthentication ($NewValue=NULL)
| Get/set whether to use authentication for mail delivery.
static | DeliverySettings ($NewSettings=NULL)
| Get/set serialized (opaque text) version of delivery settings.
static | DeliverySettingsOkay ()
| Test delivery settings and report their validity.
static | DeliverySettingErrors ()
| Return array with list of delivery setting errors (if any).
static | ConvertHtmlWhiteSpace ($Html, $Aggressive=FALSE, $LineEnding="\r\n")
| Convert horizontal white space with no semantic value to vertical white space when possible.
static | GetTagInfo ($Html, $TagBegin)
| Get the tag name and whether it's a closing tag from a tag that begins at a specific offset within some HTML.

## Detailed Description

Electronic mail message.

Definition at line 15 of file Email.php.

## Constructor & Destructor Documentation

Email::__construct | ( |  | ) |

Object constructor.

Definition at line 22 of file Email.php.

## Member Function Documentation

Email::AddHeaders | ( |  | $NewHeaders | ) |

Specify additional message headers to be included.

Parameters

  NewHeaders | Array of header lines.

Definition at line 226 of file Email.php.

Email::AlternateBody | ( |  | $NewValue = `NULL` | ) |

Get/set the plain-text alternative to the body.

Parameters

  string | $NewValue | New plain-text alternative. (OPTIONAL)

Returns
  Returns the current plain-text alternative, if any.

Definition at line 79 of file Email.php.

Email::BCC | ( |  | $NewValue = `NULL` | ) |

Get/set message BCC list.

Parameters

  NewValue | New message BCC recipient or array of BCC recipients, in RFC-2822 format ("user@example.com" or "User <user@example.com>" if name included). (OPTIONAL)

Returns
  Array of current message BCC recipient(s) in RFC-2822 format.

Definition at line 206 of file Email.php.

Email::Body | ( |  | $NewValue = `NULL` | ) |

Get/set message body.

Parameters

  NewValue | New message body. (OPTIONAL)

Returns
  Current message body.

Definition at line 68 of file Email.php.

Email::CC | ( |  | $NewValue = `NULL` | ) |

Get/set message CC list.

Parameters

  NewValue | New message CC recipient or array of CC recipients, in RFC-2822 format ("user@example.com" or "User <user@example.com>" if name included). (OPTIONAL)

Returns
  Array of current message CC recipient(s) in RFC-2822 format.

Definition at line 183 of file Email.php.

Email::CharSet | ( |  | $NewValue = `NULL` | ) |

Specify a character encoding for the message.

This is used to set the PHPMailer::CharSet property.

Parameters

  string | $NewValue | New character encoding (OPTIONAL)

Returns
  Returns the current character encoding.

Definition at line 238 of file Email.php.

static Email::ConvertHtmlWhiteSpace | ( |  | $Html,
|  |  | $Aggressive = `FALSE`,
|  |  | $LineEnding = `"\r\n"`
| ) |  |
| static protected

Convert horizontal white space with no semantic value to vertical white space when possible.

Only converts white space between tag attributes by default, but can also convert white space within tags if specified.

Parameters

  mixed | $Html | HTML string in which white space should be converted.
  bool | $Aggressive | TRUE to also convert white space within tags in which horizontal whitespace has no semantic value. This should only be used when absolutely necessary because it can make the HTML hard to read. This parameter is optional.
  string | $LineEnding | Character sequence to use as the line ending. This parameter is optional.

Returns
  Returns the HTML with its horizontal white space converted to vertical white space as specified in the parameters.

Definition at line 762 of file Email.php.

static Email::DeliveryMethod | ( |  | $NewValue = `NULL` | ) |
| static

Get/set mail delivery method.

If specified, the method must be one of the predefined "METHOD_" constants.

Parameters

  NewValue | New delivery method. (OPTIONAL)

Returns
  Current delivery method.

Definition at line 366 of file Email.php.

static Email::DeliverySettingErrors | ( |  | ) |
| static

Return array with list of delivery setting errors (if any).

Returns
  Array with settings that are possibly bad.

Definition at line 543 of file Email.php.

static Email::DeliverySettings | ( |  | $NewSettings = `NULL` | ) |
| static

Get/set serialized (opaque text) version of delivery settings.

This method is intended to be used to store and retrieve all email delivery settings for the class, in a form suitable to be saved to a database.

Parameters

  NewSettings | New delivery settings values.

Returns
  Current delivery settings values.

Definition at line 439 of file Email.php.

static Email::DeliverySettingsOkay | ( |  | ) |
| static

Test delivery settings and report their validity.

For example, if the deliver method is set to SMTP it would test the server, port, and (if authentication is indicated) user name and password. If delivery settings are not okay, then DeliverySettingErrors() can be used to determine (if known) which settings may have problems.

Returns
  TRUE if delivery settings are okay, otherwise FALSE.

Definition at line 471 of file Email.php.

Email::From | ( |  | $NewAddress = `NULL`,
|  |  | $NewName = `NULL`
| ) |  |

Get/set message sender.

Parameters

  NewAddress | New message sender address. (OPTIONAL, but required if NewName is specified.)
  NewName | New message sender name. (OPTIONAL)

Returns
  Current message sender in RFC-2822 format ("user@example.com" or "User <user@example.com>" if name available).

Definition at line 109 of file Email.php.

static Email::GetTagInfo | ( |  | $Html,
|  |  | $TagBegin
| ) |  |
| static protected

Get the tag name and whether it's a closing tag from a tag that begins at a specific offset within some HTML.

This is really only useful to ConvertHtmlWhiteSpace().

Parameters

  string | $Html | HTML string from which to get the information.
  int | $TagBegin | Offset of where the tag begins.

Returns
  Returns an array containing the tag name and if it's a closing tag.

Definition at line 873 of file Email.php.

static Email::LineEnding | ( |  | $NewValue = `NULL` | ) |
| static

Specify the character sequence that should be used to end lines.

Parameters

  string | $NewValue | Character sequence used to end lines.

Returns
  Returns the current character sequence used to end lines.

Definition at line 254 of file Email.php.

static Email::Password | ( |  | $NewValue = `NULL` | ) |
| static

Get/set password for mail delivery.

Parameters

  NewValue | New password. (OPTIONAL)

Returns
  Current password.

Definition at line 415 of file Email.php.

static Email::Port | ( |  | $NewValue = `NULL` | ) |
| static

Get/set port number for mail delivery.

Parameters

  NewValue | New port number. (OPTIONAL)

Returns
  Current port number.

Definition at line 393 of file Email.php.

Email::ReplyTo | ( |  | $NewAddress = `NULL`,
|  |  | $NewName = `NULL`
| ) |  |

Get/set message "Reply-To" address.

Parameters

  NewAddress | New message "Reply-To" address. (OPTIONAL, but required if NewName is specified.)
  NewName | New message "Reply-To" name. (OPTIONAL)

Returns
  Current message "Reply-To" address in RFC-2822 format ("user@example.com" or "User <user@example.com>" if name available).

Definition at line 135 of file Email.php.

Email::Send | ( |  | ) |

Mail the message.

Returns
  TRUE if message was successfully accepted for delivery, otherwise FALSE.

Definition at line 34 of file Email.php.

static Email::Server | ( |  | $NewValue = `NULL` | ) |
| static

Get/set server for mail delivery.

Parameters

  NewValue | New server. (OPTIONAL)

Returns
  Current server.

Definition at line 382 of file Email.php.

Email::Subject | ( |  | $NewValue = `NULL` | ) |

Get/set message subject.

Parameters

  NewValue | New message subject. (OPTIONAL)

Returns
  Current message subject.

Definition at line 95 of file Email.php.

static Email::TestLineEndings | ( |  | $Value,
|  |  | $LineEnding
| ) |  |
| static

Test the line endings in a value to see if they all match the given line ending.

This only works with (CR),
(LF), and
(CRLF).

Parameters

  string | $Value | String to check.
  string | $LineEnding | Line ending character sequence.

Returns
  Returns TRUE if all the line endings match and FALSE otherwise.

Definition at line 330 of file Email.php.

Email::To | ( |  | $NewValue = `NULL` | ) |

Get/set message recipient(s).

Parameters

  NewValue | New message recipient or array of recipients, in RFC-2822 format ("user@example.com" or "User <user@example.com>" if name included). (OPTIONAL)

Returns
  Array of current message recipient(s) in RFC-2822 format.

Definition at line 160 of file Email.php.

static Email::UseAuthentication | ( |  | $NewValue = `NULL` | ) |
| static

Get/set whether to use authentication for mail delivery.

Parameters

  NewValue | New authentication setting. (OPTIONAL)

Returns
  Current authentication setting.

Definition at line 426 of file Email.php.

static Email::UserName | ( |  | $NewValue = `NULL` | ) |
| static

Get/set user name for mail delivery.

Parameters

  NewValue | New user name. (OPTIONAL)

Returns
  Current user name.

Definition at line 404 of file Email.php.

static Email::WrapHtmlAsNecessary | ( |  | $Html,
|  |  | $MaxLineLength = `998`,
|  |  | $LineEnding = `"\r\n"`
| ) |  |
| static

Wrap HTML in an e-mail as necessary to get its lines less than some max length.

This does not guarantee that every line will be less than the max length because it guarantees instead that the sematics of the HTML remain unchanged.

Parameters

  string | $Html | HTML to wrap.
  int | $MaxLineLength | Maximum length of each line. This parameter is optional.
  string | $LineEnding | Line ending character sequence. This parameter is optional.

Returns
  Returns HTML that is wrapped as necessary.

Definition at line 276 of file Email.php.

## Member Data Documentation

const Email::METHOD_PHPMAIL = 1

Definition at line 374 of file Email.php.

const Email::METHOD_SMTP = 2

Definition at line 375 of file Email.php.

The documentation for this class was generated from the following file:

- lib/ScoutLib/Email.php